Subject: [dtn-users] Sensor network port
From: Christopher Sadler <[email-masked]>
To: [email-masked]
Date: Tue, 31 Jan 2006 19:20:35 -0800 (PST)
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Hi,

I recently started looking at the source code
available on the website and I was wondering if anyone
had ported it over to a MSP430 microcontroller.  I'm
hoping to find some code that I can experiment with on
sensor nodes.  If anyone can point me in the right
direction, I would greatly appreciate it.

Thanks,

Chris Sadler

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

Date: Tue, 31 Jan 2006 16:32:28 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: Re: [dtn-users] DTN2 unexpected admin bundle problems
Sender: [email-masked]
Reply-To: [email-masked]

> > Ive been trying to get DTN2 to communicate between two computers(a
> > daemon on each) but keep having problems. I keep coming up with the
> > error  "unexpected admin bundle with type 0x68 bundle id 0 etc...".
> > I'm not sure what this means. Could somebody point me in the right
> > direction in fixing this? I'll show you what I've done to the dtn.conf
> > file on both.
> > 
> > Both have a local eid: dtn://bob.dtn and dtn://george.dtn
> > For both daemons they have tcp interfaces with a local port of 5000
> > Both have links to one another of the type : link add tcp0 <ip
> > address>:5000 ONDEMAND tcp
> > Both route to one another: route add dtn://<name>.dtn tcp0

The problem is that if you send a bundle to the local_eid, then it's
picked up by the admin registration, which should be reserved for
administrative bundles that the daemon sends, such as custody signals.
What you want to to is to tack on a demultiplexer string to the end of
that local eid and use that as the eid which you pass to dtnsend.

So, you would modify your route add command to:

  route add dtn://<name>.dtn/* tcp0

Then you would run dtnsend with an eid like dtn://<name>.dtn/foobar

-m

Content-class: urn:content-classes:message
Date: Wed, 1 Feb 2006 10:03:17 +1100
From: "Halkett, Brad \(Student\)" <[email-masked]>
To: <[email-masked]>
Subject: [dtn-users] DTN2 unexpected admin bundle problems
Sender: [email-masked]
Reply-To: [email-masked]

This is a multi-part message in MIME format.

------_=_NextPart_001_01C626BA.85A77872
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_002_01C626BA.85A77872"

------_=_NextPart_002_01C626BA.85A77872
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

> Hi,=20
> Ive been trying to get DTN2 to communicate between two computers(a
> daemon on each) but keep having problems. I keep coming up with the
> error  "unexpected admin bundle with type 0x68 bundle id 0 etc...".
> I'm not sure what this means. Could somebody point me in the right
> direction in fixing this? I'll show you what I've done to the dtn.conf
> file on both.
>=20
> Both have a local eid: dtn://bob.dtn and dtn://george.dtn
> For both daemons they have tcp interfaces with a local port of 5000
> Both have links to one another of the type : link add tcp0 <ip
> address>:5000 ONDEMAND tcp
> Both route to one another: route add dtn://<name>.dtn tcp0
>=20
> I've checked to make sure the ports are listening on port 5000 and
> they are. The ip addresses that I'm using are correct. I really am at
> a loss to why this is not working. The following pics are the outputs
> at the terminals. =20
> Any help would be appreciated. Thanks
> Brad Halkett
>  <>  <>=20

------_=_NextPart_002_01C626BA.85A77872
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Dus-ascii">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
6.5.7638.1">
<TITLE>Sec:U  DTN2 unexpected admin bundle problems</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/rtf format -->
<BR>
<UL>
<P><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Hi, </FONT></SPAN>

<BR><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Ive been trying =
to get DTN2 to communicate between two computers(a daemon on each) but =
keep having problems. I keep coming up with the error&nbsp; =
&quot;unexpected admin bundle with type 0x68 bundle id 0 etc...&quot;. =
I'm not sure what this means. Could somebody point me in the right =
direction in fixing this? I'll show you what I've done to the dtn.conf =
file on both.</FONT></SPAN></P>

<P><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Both have a local =
eid: dtn://bob.dtn and dtn://george.dtn</FONT></SPAN>

<BR><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">For both daemons =
they have tcp interfaces with a local port of 5000</FONT></SPAN>

<BR><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Both have links =
to one another of the type : link add tcp0 &lt;ip address&gt;:5000 =
ONDEMAND tcp</FONT></SPAN>

<BR><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Both route to one =
another: route add dtn://&lt;name&gt;.dtn tcp0</FONT></SPAN>
</P>

<P><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">I've checked to =
make sure the ports are listening on port 5000 and they are. The ip =
addresses that I'm using are correct. I really am at a loss to why this =
is not working. The following pics are the outputs at the =
terminals.&nbsp; </FONT></SPAN></P>

<P><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Any help would be =
appreciated. Thanks</FONT></SPAN>

<BR><SPAN LANG=3D"en-au"><FONT SIZE=3D2 FACE=3D"Arial">Brad =
Halkett</FONT></SPAN>
</UL>
<P><SPAN LANG=3D"en-us"><FONT FACE=3D"Arial" SIZE=3D2 COLOR=3D"#000000"> =
&lt;&lt;Screenshot_george.png&gt;&gt; </FONT><FONT FACE=3D"Arial" =
SIZE=3D2 COLOR=3D"#000000"> &lt;&lt;Screenshot_bob.png&gt;&gt; =
</FONT></SPAN>
</P>

</BODY>
</HTML>
------_=_NextPart_002_01C626BA.85A77872--

------_=_NextPart_001_01C626BA.85A77872
Content-Type: image/png;
	name="Screenshot_george.png"
Content-Transfer-Encoding: base64
Content-Description: Screenshot_george.png
Content-Disposition: attachment;
	filename="Screenshot_george.png"

------_=_NextPart_001_01C626BA.85A77872
Content-Type: image/png;
	name="Screenshot_bob.png"
Content-Transfer-Encoding: base64
Content-Description: Screenshot_bob.png
Content-Disposition: attachment;
	filename="Screenshot_bob.png"

------_=_NextPart_001_01C626BA.85A77872--

Date: Sat, 28 Jan 2006 11:04:47 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: [dtn-users] sandbox back online
Sender: [email-masked]
Reply-To: [email-masked]

It took a bit longer to set everything up again than I had originally
intended, but sandbox (code.dtnrg.org) should be back up as a fresh
Debian installation, with all services running.

The only substantively visivle change is that I moved the repository
to a saner place. To those of you with ssh access, the repository is
now in /repository (though I kept a symlink in /usr/src/bundles/orig).

For anonymous cvs, the repository has also changed:

      % cvs -d :pserver:[email-masked]:/repository login
      % cvs -d :pserver:[email-masked]:/repository checkout DTN2

These updated instructions are on the web page.

-mike

Date: Fri, 27 Jan 2006 07:24:38 -0800
From: Michael Demmer <[email-masked]>
To: [email-masked]
Subject: [dtn-users] sandbox (aka code.dtnrg.org) rebuild today
Sender: [email-masked]
Reply-To: [email-masked]

I'm planning to install a more up-to-date version of Linux on the
server 'sandbox' which among other things hosts the CVS repository for
dtnrg.org. 

I expect downtime to be only a matter of hours assuming all goes as
planned and plan to re-enable all services that are currently running.

-mike